Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 843353 (boost-1.79-stable, qt-5.15.4-stable) - Qt 5.15.4, app-office/libreoffice-7.3.3.2-r3, app-text/poppler-22.05.0, dev-libs/boost-1.79.0, dev-libs/icu-71.1-r1, media-libs/harfbuzz-4.2.1, app-crypt/gpgme-1.17.1, dev-libs/gnutls-3.7.6 stabilisation
Summary: Qt 5.15.4, app-office/libreoffice-7.3.3.2-r3, app-text/poppler-22.05.0, dev-l...
Status: RESOLVED FIXED
Alias: boost-1.79-stable, qt-5.15.4-stable
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Office Team
URL:
Whiteboard:
Keywords: CC-ARCHES, SECURITY
Depends on: boost-1.79 833183 839273 843311 poppler-22.04, poppler-22.05 843356 845546 849053 849059
Blocks: CVE-2022-27337 CVE-2022-1638 python3.10-stable 840987 847613 853676
  Show dependency tree
 
Reported: 2022-05-08 22:49 UTC by Andreas Sturmlechner
Modified: 2022-06-22 06:33 UTC (History)
12 users (show)

See Also:
Package list:
app-office/libreoffice-7.3.3.2-r3 amd64 arm64 x86 app-office/libreoffice-l10n-7.3.3.2 amd64 arm64 x86 app-office/libreoffice-bin-7.3.3.2-r3 amd64 x86 app-office/libreoffice-bin-debug-7.3.3.2-r3 amd64 x86 app-text/libnumbertext-1.0.10 amd64 arm64 x86 app-text/libetonyek-0.1.10-r1 amd64 arm64 x86 dev-util/mdds-2.0.3 amd64 arm64 x86 dev-libs/libixion-0.17.0 amd64 arm64 x86 dev-libs/liborcus-0.17.2 amd64 arm64 x86 app-text/poppler-22.05.0 dev-libs/boost-1.79.0 dev-util/boost-build-1.79.0 dev-libs/icu-71.1-r1 dev-libs/icu-layoutex-71.1 amd64 ppc ppc64 sparc x86 media-libs/harfbuzz-4.2.1 app-crypt/gpgme-1.17.1-r1 net-libs/gnutls-3.7.6 dev-qt/assistant-5.15.4 amd64 arm64 ppc64 x86 dev-qt/designer-5.15.4 amd64 arm arm64 ppc ppc64 x86 dev-qt/linguist-5.15.4 amd64 arm64 ppc64 x86 dev-qt/linguist-tools-5.15.4 amd64 arm arm64 ppc ppc64 x86 dev-qt/pixeltool-5.15.4 amd64 arm64 ppc64 x86 dev-qt/qdbus-5.15.4 amd64 arm64 ppc ppc64 x86 dev-qt/qdbusviewer-5.15.4 amd64 arm64 ppc64 x86 dev-qt/qdoc-5.15.4 amd64 arm64 x86 dev-qt/qt3d-5.15.4-r1 amd64 arm64 x86 dev-qt/qtbluetooth-5.15.4 amd64 arm arm64 x86 dev-qt/qtcharts-5.15.4 amd64 arm64 ppc ppc64 x86 dev-qt/qtconcurrent-5.15.4 amd64 arm arm64 ppc ppc64 x86 dev-qt/qtcore-5.15.4-r2 amd64 arm arm64 ppc ppc64 x86 dev-qt/qtdatavis3d-5.15.4 amd64 arm64 x86 dev-qt/qtdbus-5.15.4 amd64 arm arm64 ppc ppc64 x86 dev-qt/qtdeclarative-5.15.4 amd64 arm arm64 ppc ppc64 x86 dev-qt/qtdiag-5.15.4 amd64 x86 dev-qt/qtgamepad-5.15.4 amd64 arm64 x86 dev-qt/qtgraphicaleffects-5.15.4 amd64 arm64 ppc ppc64 x86 dev-qt/qtgui-5.15.4 amd64 arm arm64 ppc ppc64 x86 dev-qt/qthelp-5.15.4 amd64 arm arm64 ppc ppc64 x86 dev-qt/qtimageformats-5.15.4 amd64 arm64 ppc64 x86 dev-qt/qtlocation-5.15.4 amd64 arm arm64 x86 dev-qt/qtmultimedia-5.15.4-r1 amd64 arm arm64 ppc ppc64 x86 dev-qt/qtnetwork-5.15.4 amd64 arm arm64 ppc ppc64 x86 dev-qt/qtnetworkauth-5.15.4 amd64 arm64 x86 dev-qt/qtopengl-5.15.4 amd64 arm arm64 ppc ppc64 x86 dev-qt/qtpaths-5.15.4 amd64 arm64 ppc ppc64 x86 dev-qt/qtpositioning-5.15.4 amd64 arm arm64 ppc ppc64 x86 dev-qt/qtprintsupport-5.15.4 amd64 arm arm64 ppc ppc64 x86 dev-qt/qtquickcontrols2-5.15.4 amd64 arm64 x86 dev-qt/qtquickcontrols-5.15.4 amd64 arm64 ppc ppc64 x86 dev-qt/qtscript-5.15.4 amd64 arm64 ppc ppc64 x86 dev-qt/qtscxml-5.15.4 amd64 arm64 x86 dev-qt/qtsensors-5.15.4 amd64 arm arm64 ppc64 x86 dev-qt/qtserialport-5.15.4 amd64 arm arm64 ppc ppc64 x86 dev-qt/qtspeech-5.15.4 amd64 arm arm64 x86 dev-qt/qtsql-5.15.4 amd64 arm arm64 ppc ppc64 x86 dev-qt/qtsvg-5.15.4 amd64 arm arm64 ppc ppc64 x86 dev-qt/qttest-5.15.4 amd64 arm arm64 ppc ppc64 x86 dev-qt/qttranslations-5.15.4 amd64 arm arm64 ppc ppc64 x86 dev-qt/qtvirtualkeyboard-5.15.4 amd64 arm64 x86 dev-qt/qtwayland-5.15.4 amd64 arm arm64 ppc ppc64 x86 dev-qt/qtwaylandscanner-5.15.4 amd64 arm arm64 ppc ppc64 x86 dev-qt/qtwebchannel-5.15.4 amd64 arm arm64 ppc64 x86 dev-qt/qtwebengine-5.15.4_p20220526 amd64 arm64 x86 dev-qt/qtwebsockets-5.15.4 amd64 arm arm64 ppc64 x86 dev-qt/qtwidgets-5.15.4-r1 amd64 arm arm64 ppc ppc64 x86 dev-qt/qtx11extras-5.15.4 amd64 arm arm64 ppc ppc64 x86 dev-qt/qtxml-5.15.4 amd64 arm arm64 ppc ppc64 x86 dev-qt/qtxmlpatterns-5.15.4 amd64 arm arm64 ppc ppc64 x86 media-gfx/prusaslicer-2.6.0_pre20220601 amd64
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Sturmlechner gentoo-dev 2022-05-08 22:49:10 UTC
In preparation (way ahead of time).
Comment 1 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-05-08 22:54:39 UTC
Throwing in gpgme-1.17.1 for ABI break.
Comment 2 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-05-08 22:55:13 UTC
... and ICU.
Comment 3 Andreas Sturmlechner gentoo-dev 2022-05-08 23:18:25 UTC
Adding app-text/libnumbertext-1.0.10.
Comment 4 Andreas Sturmlechner gentoo-dev 2022-05-08 23:28:39 UTC
Adding more deps for LO:
app-text/libetonyek-0.1.10-r1
dev-util/mdds-2.0.2
dev-libs/libixion-0.17.0
dev-libs/liborcus-0.17.2
Comment 5 NATTkA bot gentoo-dev 2022-05-09 19:16:15 UTC Comment hidden (obsolete)
Comment 6 NATTkA bot gentoo-dev 2022-05-09 19:24:15 UTC Comment hidden (obsolete)
Comment 7 NATTkA bot gentoo-dev 2022-05-09 20:20:15 UTC Comment hidden (obsolete)
Comment 8 NATTkA bot gentoo-dev 2022-05-09 20:24:15 UTC Comment hidden (obsolete)
Comment 9 NATTkA bot gentoo-dev 2022-05-13 22:52:16 UTC Comment hidden (obsolete)
Comment 10 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-05-15 03:46:45 UTC
... and I suppose let's do gnutls too, as it has an ABI break as well (albeit only for C++, but subslot had to be changed just for that, so let's coalesce the rebuilds for folks).
Comment 11 Andreas Sturmlechner gentoo-dev 2022-05-18 11:13:17 UTC
Bump to dev-libs/icu-71.1-r1 for another CVE fix.
Bump to dev-util/mdds-2.0.3.
Comment 12 Andreas Sturmlechner gentoo-dev 2022-06-01 07:11:59 UTC
Adding Qt 5.15.4 to avoid rebuilding dev-qt/qtwebengine.
Comment 13 Andreas Sturmlechner gentoo-dev 2022-06-01 07:22:00 UTC
Switch to app-crypt/gpgme-1.17.1-r1 for bug 847955.
Comment 14 Larry the Git Cow gentoo-dev 2022-06-01 16:10:48 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=673cf435b43ffc2b369ebc604032afa9a8b25eec

commit 673cf435b43ffc2b369ebc604032afa9a8b25eec
Author:     Andreas K. Hüttel <dilfridge@gentoo.org>
AuthorDate: 2022-06-01 16:10:17 +0000
Commit:     Andreas K. Hüttel <dilfridge@gentoo.org>
CommitDate: 2022-06-01 16:10:17 +0000

    app-office/libreoffice-bin-debug: Version bump
    
    Bug: https://bugs.gentoo.org/843353
    Bug: https://bugs.gentoo.org/845546
    Signed-off-by: Andreas K. Hüttel <dilfridge@gentoo.org>

 app-office/libreoffice-bin-debug/Manifest          |  9 +++
 .../libreoffice-bin-debug-7.3.3.2-r3.ebuild        | 85 ++++++++++++++++++++++
 2 files changed, 94 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=19e3a764b01e610a8056cd6103e143406e3c1237

commit 19e3a764b01e610a8056cd6103e143406e3c1237
Author:     Andreas K. Hüttel <dilfridge@gentoo.org>
AuthorDate: 2022-06-01 16:07:42 +0000
Commit:     Andreas K. Hüttel <dilfridge@gentoo.org>
CommitDate: 2022-06-01 16:07:42 +0000

    app-office/libreoffice-bin: Version bump
    
    Bug: https://bugs.gentoo.org/843353
    Bug: https://bugs.gentoo.org/845546
    Signed-off-by: Andreas K. Hüttel <dilfridge@gentoo.org>

 app-office/libreoffice-bin/Manifest                |   9 +
 .../libreoffice-bin-7.3.3.2-r3.ebuild              | 256 +++++++++++++++++++++
 2 files changed, 265 insertions(+)
Comment 15 Andreas Sturmlechner gentoo-dev 2022-06-01 18:14:31 UTC
Adding LO-bin:
app-office/libreoffice-bin-7.3.3.2-r3
app-office/libreoffice-bin-debug-7.3.3.2-r3
Comment 16 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-06-01 18:51:23 UTC
Switching to gnutls-3.7.6 for a bugfix.
Comment 17 Mike Limansky 2022-06-02 10:15:41 UTC
Hi,

 It seems like =dev-qt/qtquicktimeline-5.15.4 is missing.
Comment 18 Andreas Sturmlechner gentoo-dev 2022-06-02 11:25:34 UTC
No, it is not a stable package at all.
Comment 19 Piotr Karbowski archtester Gentoo Infrastructure gentoo-dev Security 2022-06-02 21:34:41 UTC
Adding prusaslicer. While the version I put here is a snapshot, this is really the only one we can stabilize, since even the released/tagged alpha versions do not build. If there will be enough window and Prusa will release a proper release, I will bump it here.
Comment 20 NATTkA bot gentoo-dev 2022-06-03 12:36:16 UTC Comment hidden (obsolete)
Comment 21 NATTkA bot gentoo-dev 2022-06-03 17:05:36 UTC Comment hidden (obsolete)
Comment 22 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-06-09 06:05:47 UTC
sultan says we're good to go w/o chromium, as it looks like it's not getting a stable channel bump this week. Was expected for Tuesday.
Comment 23 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-06-10 03:15:52 UTC
amd64 done
Comment 24 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-06-13 21:18:23 UTC
arm done
Comment 25 Agostino Sarubbo gentoo-dev 2022-06-14 07:22:03 UTC
x86 stable
Comment 26 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-06-14 13:26:55 UTC
arm64 done
Comment 27 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-06-14 18:01:09 UTC
sparc done
Comment 28 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-06-18 15:38:59 UTC
ppc done
Comment 29 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-06-18 15:39:01 UTC
ppc64 done
Comment 30 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-06-18 23:03:39 UTC
hppa done

all arches done
Comment 31 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-06-18 23:04:52 UTC
Done except for Boost. Broken on HPPA too (bug 843212).
Comment 32 Andreas Sturmlechner gentoo-dev 2022-06-22 06:33:28 UTC
boost hppa stabilisation consequently moved out to be able to close this as fixed.